* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  --background: rgb(232, 252, 252);
  --primary: #00adad;
  --button: linear-gradient(0deg, rgb(1, 116, 116) 0%, rgb(95, 253, 253) 100%);
  --shadow: 0 0 3px var(--primary);
}

nav menu {
  list-style: none;
}

/* HEADER */

header {
  box-shadow: 0 0 3px var(--primary);
  color: var(--primary);
}

header form {
  width: fit-content;
  box-shadow: var(--shadow);
}

header form label {
  display: none;
}

header form input {
  padding: 0.2rem;
  outline: none;
  border: none;
}

header form button {
  border: none;
  background: var(--button);
  color: white;
  padding: 0.2rem;
  font-weight: bold;
}

header menu a {
  display: inline-block;
  font-size: 0;
  height: 1.5rem;
  width: 1.5rem;
  background-size: contain;
}

header menu a[href*="wishlist"] {
  background-image: url("icons/heart.png");
}

header menu a[href*="cart"] {
  background-image: url("icons/cart.png");
}
header menu a[href*="profile"] {
  background-image: url("icons/user.png");
}

/* NAV*/

body > nav menu a {
  color: var(--primary);
  text-decoration: none;
  display: block;
  width: 100%;
  height: 100%;
  padding: 0.5rem 1rem;
}

body > nav menu a:hover {
  background: var(--background);
}

/* MAIN */

main {
  background: var(--background);
  padding: 1rem;
}

article {
  background: white;
  box-shadow: var(--shadow);
  width: 10rem;
  height: 20rem;
  border-radius: 10px;
  overflow: hidden;
}

article img {
  width: 100%;
  height: 50%;
  object-fit: cover;
}

article *:not(img) {
  margin: 0.5rem 1rem;
}

article p.price {
  text-align: right;
}

/* Footer */

footer a {
  color: var(--primary);
}

/* Cambios aplicados por Joel */

/* GRID Layout mobile */
body {
  display: grid;
  grid-template-columns: repeat(2, 1fr);

  grid-template-areas:
    "header header"
    "nav nav"
    "main main"
    "main main"
    "footer footer";
}
/* HEADER */

header {
  grid-area: header;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
}
header > h1 {
  padding: 18px 8px 15px 8px;
}

/* header NAV */

nav[aria-label="usuario"] menu {
  display: flex;
  flex-direction: row;
}
nav[aria-label="usuario"] li {
  padding: 0px 8px 15px 8px;
}

/* NAV menu */

nav[aria-label="categorias"] {
  grid-area: nav;
}
nav[aria-label="categorias"] menu {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
}

/* MAIN */

main {
  grid-area: main;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  row-gap: 40px;
  padding-bottom: 40px;
}
article:nth-child(n + 5) {
  display: none;
}

/* FOOTER */

footer {
  grid-area: footer;
  display: flex;
  justify-content: space-evenly;
  padding-top: 5px;
}
@media (min-width: 600px) {
  /* HEADER */

  header {
    z-index: 1;
    padding: 0 2rem;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
  }

  /* NAV */

  body > nav {
    padding-top: 1rem;
  }

  /* GRID Layout desktop */

  body {
    display: grid;
    grid-template-columns: 10vw 90vw;
    grid-template-areas:
      "header header"
      "nav main"
      "footer footer";
  }

  /* NAV */

  nav[aria-label="categorias"] menu {
    flex-direction: column;
  }

  /* MAIN */

  main {
    justify-content: space-evenly;
    gap: 110px 40px;
    padding-bottom: 110px;
  }
  article:nth-child(n + 5) {
    display: block;
  }

  /* FOOTER */

  footer {
    justify-content: center;
  }
  footer a {
    padding: 2px 20px;
  }
}
